#ifndef _PLATON_STR_STRCTYPE_H
#define _PLATON_STR_STRCTYPE_H

#define strisalnum(s)  strctype_fnc(s, isalnum)
#define strisalpha(s)  strctype_fnc(s, isalpha)
#define strisascii(s)  strctype_fnc(s, isascii)
#define strisblank(s)  strctype_fnc(s, isblank)
#define striscntrl(s)  strctype_fnc(s, iscntrl)
#define strisdigit(s)  strctype_fnc(s, isdigit)
#define strisgraph(s)  strctype_fnc(s, isgraph)
#define strislower(s)  strctype_fnc(s, islower)
#define strisprint(s)  strctype_fnc(s, isprint)
#define strispunct(s)  strctype_fnc(s, ispunct)
#define strisspace(s)  strctype_fnc(s, isspace)
#define strisupper(s)  strctype_fnc(s, isupper)
#define strisxdigit(s) strctype_fnc(s, isxdigit)

#define strlwr(s) strtolower(s)
#define strupr(s) strtoupper(s)

#ifdef __cplusplus
extern "C" {
#endif

char *strtolower(char *s);
char *strtoupper(char *s);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef _PLATON_STR_STRCTYPE_H */

