#ifndef _PLATON_STR_DYNFGETS_H
#define _PLATON_STR_DYNFGETS_H

#include <stdio.h>

/* Size of input buffer. In others words, size of realloc() step. */
#define DYNAMIC_FGETS_BUFSIZE	(128)

#define dynfgets(f)		dynamic_fgets(f)

#ifdef __cplusplus
extern "C" {
#endif

/*
 * dynamic_fgets()
 *
 * Returns line in dynamically allocated buffer. Length of line is unlimited.
 * On end of file or not of memory error returns NULL.
 */
char *dynamic_fgets(FILE *fp);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef _PLATON_STR_DYNFGETS_H */

